com.fasterxml.jackson.dataformat.avro.schema

## Class StringVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor.Base
    - - com.fasterxml.jackson.dataformat.avro.schema.StringVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor, SchemaBuilder

      public class StringVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor.Base
      implements SchemaBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `_enums`
    `protected com.fasterxml.jackson.databind.SerializerProvider` | `_provider`
    `protected DefinedSchemas` | `_schemas`
    `protected com.fasterxml.jackson.databind.JavaType` | `_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringVisitor(com.fasterxml.jackson.databind.SerializerProvider provider, DefinedSchemas schemas, com.fasterxml.jackson.databind.JavaType t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.avro.Schema` | `builtAvroSchema()`
    `void` | `enumTypes(Set<String> enums)`
    `void` | `format(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormat format)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _provider

          protected final com.fasterxml.jackson.databind.SerializerProvider _provider

    - #### _type

          protected final com.fasterxml.jackson.databind.JavaType _type

    - #### _schemas

          protected final DefinedSchemas _schemas

    - #### _enums

          protected Set<String> _enums

  - ### Constructor Detail

    - #### StringVisitor

          public StringVisitor(com.fasterxml.jackson.databind.SerializerProvider provider,
                               DefinedSchemas schemas,
                               com.fasterxml.jackson.databind.JavaType t)

  - ### Method Detail

    - #### format

          public void format(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormat format)

      Specified by:
        `format` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor`
      Overrides:
        `format` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base`

    - #### enumTypes

          public void enumTypes(Set<String> enums)

      Specified by:
        `enumTypes` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor`
      Overrides:
        `enumTypes` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base`

    - #### builtAvroSchema

          public org.apache.avro.Schema builtAvroSchema()

      Specified by:
        `builtAvroSchema` in interface `SchemaBuilder`

Copyright © 2019 FasterXML. All rights reserved.